Page MenuHomePhabricator

Update $wgGrammarForms and fix namespaces accordingly (Bosnian)
Closed, ResolvedPublic

Description

The 'instrumental' and 'lokativ' forms should not have the prefixes 's' or 'o'.
WikimediaMessages.hooks.php should look like this:

'instrumental' => [
  'Vikirječnik' => 'Wikirječnikom',
  'Wikicitati'  => 'Wikicitatima',
  'Wikiizvor'   => 'Wikiizvorom',
  'Wikiknjige'  => 'Wikiknjigama',
  'Wikipedia'   => 'Wikipedijom', // T130141
  'Wikipodaci'  => 'Wikipodacima',
  'Wikivijesti' => 'Wikivijestima',
  'Wikimedia Commons' => 'Wikimedia Commonsom',

'lokativ' => [
  'Vikirječnik' => 'Wikirječniku',
  'Wikicitati'  => 'Wikicitatima',
  'Wikiizvor'   => 'Wikiizvoru',
  'Wikiknjige'  => 'Wikiknjigama',
  'Wikipedia'   => 'Wikipediji',
  'Wikipodaci'  => 'Wikipodacima',
  'Wikivijesti' => 'Wikivijestima',
  'Wikimedia Commons' => 'Wikimedia Commonsu',

This could break NS_PROJECT_TALK, as it is currently set to 'Razgovor_{{grammar:instrumental|$1}}' in MessagesBs.php.

Basically, I'm seeing a few issues here that should be solved in one go:

  • NS_PROJECT_TALK is currently using the incorrect grammatical case – instrumental – whereas it should be using lokativ with the o prefix (instrumental is used for living things, which Wikipedia and its sister projects are not)
  • The lokativ and instrumental $wgGrammarForms must not have any prefixes in all cases except for NS_PROJECT_TALK
  • NS_MEDIAWIKI_TALK isn't following the correct grammatical pattern of "Razgovor_o_xxx"

This could be solved by updating WikimediaMessages.hooks.php as suggested above, and updating MessagesBs.php to:

$namespaceNames = [
	NS_MEDIA            => 'Mediji',
	NS_SPECIAL          => 'Posebno',
	NS_TALK             => 'Razgovor',
	NS_USER             => 'Korisnik',
	NS_USER_TALK        => 'Razgovor_s_korisnikom',
	NS_PROJECT_TALK     => 'Razgovor_o_{{grammar:lokativ|$1}}',
	NS_FILE             => 'Datoteka',
	NS_FILE_TALK        => 'Razgovor_o_datoteci',
	NS_MEDIAWIKI        => 'MediaWiki',
	NS_MEDIAWIKI_TALK   => 'Razgovor_o_MediaWikiju',
	NS_TEMPLATE         => 'Šablon',
	NS_TEMPLATE_TALK    => 'Razgovor_o_šablonu',
	NS_HELP             => 'Pomoć',
	NS_HELP_TALK        => 'Razgovor_o_pomoći',
	NS_CATEGORY         => 'Kategorija',
	NS_CATEGORY_TALK    => 'Razgovor_o_kategoriji',
];

and adding an alias for MediaWiki_razgovor => NS_MEDIAWIKI_TALK.

Here are the previous values of NS_PROJECT_TALK in case aliases need to be created for that as well:

Wiktionary => Razgovor s Wikirječnikom
Wikiquote  => Razgovor s Wikicitatima
Wikisource => Razgovor s Wikiizvorom
Wikibooks  => Razgovor s Wikiknjigama
Wikipedia  => Razgovor s Wikipedijom
Wikinews   => Razgovor s Wikivijestima

Event Timeline

Srdjan_m created this task.Jul 29 2017, 9:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2017, 9:39 PM
Srdjan_m updated the task description. (Show Details)Jul 29 2017, 9:50 PM
Zoranzoki21 added a subscriber: Zoranzoki21.

I will fix this for 2 days after expiring of my block on gerrit.

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptFeb 18 2018, 8:29 PM

Change 412960 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/WikimediaMessages@master] Update $wgGrammarForms and fix namespaces accordingly (Bosnian)

https://gerrit.wikimedia.org/r/412960

Change 412963 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/core@master] MessagesBs.php: Fix namespaces accordingly

https://gerrit.wikimedia.org/r/412963

Amire80 moved this task from Untriaged to Grammar on the I18n board.Mar 1 2018, 4:16 PM

Change 412963 merged by jenkins-bot:
[mediawiki/core@master] MessagesBs.php: Update namespaces names

https://gerrit.wikimedia.org/r/412963

Change 481903 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] Update Bosnian namespace alias for grammar forms change

https://gerrit.wikimedia.org/r/481903

Catrope added a subscriber: Catrope.Jan 2 2019, 6:07 PM

Note that, to actually change these namespace names in production, you'll also have to update wgMetaNamespaceTalk in InitialiseSettings.php

Change 412960 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Update $wgGrammarForms for Bosnian

https://gerrit.wikimedia.org/r/412960

Zoranzoki21 added a comment.EditedJan 7 2019, 9:01 AM

Note that, to actually change these namespace names in production, you'll also have to update wgMetaNamespaceTalk in InitialiseSettings.php

It`s already done.

Zoranzoki21 closed this task as Resolved.Aug 30 2019, 3:13 PM

I forgot to close this...

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptAug 30 2019, 3:13 PM